Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236224 - pdftk should use system itext
Summary: pdftk should use system itext
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pdftk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 233528
TreeView+ depends on / blocked
 
Reported: 2007-04-12 15:48 UTC by Thomas Fitzsimmons
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-24 17:59:36 UTC


Attachments (Terms of Use)

Description Thomas Fitzsimmons 2007-04-12 15:48:33 UTC
+++ This bug was initially created as a clone of Bug #233514 +++

pdftk bundles sources from GCJ, which it builds into the pdftk binary.  Instead,
it should dynamically link to the system-installed libgcj.

Ideally the same would be done for the iText dependency, but this is more
difficult because iText does not provide GCJ libraries that use the old-style
GCJ ABI.  Since pdftk uses CNI, and CNI relies on the old-style ABI the
short-term solution would be for iText to provide an old-ABI library alongside
its BC-ABI shared-object.  The long term solution is to make CNI work with the
BC ABI.

-- Additional comment from Jochen@herr-schmitt.de on 2007-03-25 16:05 EST --
Thank you for your request. Unfortunateley, I have some trouble to build a patch
version of pdftk on mock (FC7). Becouse it seems, you have a good knewledge
about the gcj stuff, I have uploaded the source rpm and the build log on

http://www.herr-schmitt.de/pub/pdftk/

I hope you can give me any hint to solve the problem.

Best Regards:

Jochen Schmitt

-- Additional comment from fitzsim@redhat.com on 2007-03-25 22:00 EST --
See Comment #1 on this bug report:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233489

(We can continue discussion of the gcjh problem there, and use this bug report
for discussion of using system libraries.)


-- Additional comment from fitzsim@redhat.com on 2007-03-26 12:17 EST --
I talked with Andrew Haley about this.  He suggests building iText with
-fno-indirect-classes as a temporary workaround until CNI supports the BC ABI. 
I'll test a patch.


-- Additional comment from fitzsim@redhat.com on 2007-04-12 11:45 EST --
I committed a patch to make pdftk use the system-installed libgcj instead of
bundling libgcj classes.

I didn't do the same for iText because pdftk's bundled iText implementation
contains many local modifications.  I've contacted the upstream maintainer about
this.  I'm going to close this bug and file a new one for the iText bundling,
assigned to Jochen.

Comment 1 Jochen Schmitt 2007-06-24 17:59:36 UTC
Because iText is going into EOL during licensing issues, I will start the EOL
for pdftk which contains a bundled version of iText.

Please see BZ #236309


Note You need to log in before you can comment on or make changes to this bug.